Subject: StumpWM fails to start - Read only file system
From: Kjartan Óli Águstsson <[email-masked]>
To: [email-masked]
Date: Sun, 16 Apr 2023 22:32:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I just started experiencing an issue with stumpwm where it fails to
start, complaining about a read only file system.  A web search for the
error message leads me to
https://lists.gnu.org/archive/html/help-guix/2021-02/msg00080.html,
which sounds exactly like the problem I'm experiencing.  I'm unsure how
to get the backtrace shared in that thread, or in general how to proceed
with debugging this.

guix describe shows:
  guix 9a5e1dc
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9a5e1dc1f16f5f8c056e64f2077b035784003673
but I tried rolling back to an earlier system generation:
  guix:
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: d513ba83ebca347164098bb0fa1354f3657bc7e2
to no success so I doubt it is a new change in Guix.

Unless I'm missing something in the help-guix thread there is no
solution discussed there, so any help in debugging this would be greatly
appreciated.

-- 
Kjartan Oli Agustsson
GPG Key fingerprint: 4801 0D71 49C0 1DD6 E5FD  6AC9 D757 2FE3 605E E6B0